org.apache.ode.utils.msg

## Class CommonMessages

- java.lang.Object
- - java.util.ResourceBundle
  - - org.apache.ode.utils.msg.MessageBundle
    - - org.apache.ode.utils.msg.CommonMessages

-     public class CommonMessages
      extends MessageBundle

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.util.ResourceBundle

      `java.util.ResourceBundle.Control`

  - ### Field Summary

    - ### Fields inherited from class java.util.ResourceBundle

      `parent`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CommonMessages()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `msgBadPort(java.lang.String string)`
    `java.lang.String` | `msgCannotReadFromFile(java.lang.String string)`
    `java.lang.String` | `msgCannotWriteToFile(java.lang.String string)`
    `java.lang.String` | `msgFileNotFound(java.lang.String string)`
    `java.lang.String` | `strError()`
    `java.lang.String` | `strFatal()`
    `java.lang.String` | `strInfo()`
    `java.lang.String` | `strWarning()`

    - ### Methods inherited from class org.apache.ode.utils.msg.MessageBundle

      `format, format, getKeys, getMessages, getMessages, handleGetObject, todo`

    - ### Methods inherited from class java.util.ResourceBundle

      `clearCache, clearCache, containsKey, getBaseBundleName, getBundle, getBundle, getBundle, getBundle, getBundle, getBundle, getLocale, getObject, getString, getStringArray, handleKeySet, keySet, setParent`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CommonMessages

          public CommonMessages()

  - ### Method Detail

    - #### strError

          public java.lang.String strError()

    - #### strFatal

          public java.lang.String strFatal()

    - #### strInfo

          public java.lang.String strInfo()

    - #### strWarning

          public java.lang.String strWarning()

    - #### msgFileNotFound

          public java.lang.String msgFileNotFound(java.lang.String string)

    - #### msgCannotWriteToFile

          public java.lang.String msgCannotWriteToFile(java.lang.String string)

    - #### msgCannotReadFromFile

          public java.lang.String msgCannotReadFromFile(java.lang.String string)

    - #### msgBadPort

          public java.lang.String msgBadPort(java.lang.String string)